unit blkedit;

interface

uses
  Windows, Messages, Classes, SysUtils, Graphics, Controls, StdCtrls, Forms,
  Dialogs, DBCtrls, DB, DBTables, Mask, ExtCtrls, ApoDSet;

type
  TForm1 = class(TForm)
    ScrollBox: TScrollBox;
    Label1: TLabel;
    EditBLOCKNO: TDBEdit;
    Label2: TLabel;
    EditTITLE: TDBEdit;
    Label3: TLabel;
    MemoUSAGE: TDBMemo;
    Label4: TLabel;
    EditASMNAME: TDBEdit;
    Label5: TLabel;
    EditBELOW: TDBEdit;
    Label6: TLabel;
    EditABOVE: TDBEdit;
    Label7: TLabel;
    EditSIDES: TDBEdit;
    Label8: TLabel;
    EditSPRUD: TDBEdit;
    Label9: TLabel;
    EditSPRLR: TDBEdit;
    Label10: TLabel;
    EditCAPE: TDBEdit;
    Label11: TLabel;
    EditFIREBALL: TDBEdit;
    Label12: TLabel;
    MemoRELOC: TDBMemo;
    Label13: TLabel;
    EditAUTHOR: TDBEdit;
    Label14: TLabel;
    EditEMAIL: TDBEdit;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    Panel2: TPanel;
    ApolloTable1: TApolloTable;
    DataSource1: TDataSource;
    Label15: TLabel;
    EditDESCR: TDBEdit;
    ApolloTable1BLOCKNO: TFloatField;
    ApolloTable1TITLE: TStringField;
    ApolloTable1USAGE: TMemoField;
    ApolloTable1ASMNAME: TStringField;
    ApolloTable1BELOW: TFloatField;
    ApolloTable1ABOVE: TFloatField;
    ApolloTable1SIDES: TFloatField;
    ApolloTable1SPRUD: TFloatField;
    ApolloTable1SPRLR: TFloatField;
    ApolloTable1CAPE: TFloatField;
    ApolloTable1FIREBALL: TFloatField;
    ApolloTable1RELOC: TMemoField;
    ApolloTable1AUTHOR: TStringField;
    ApolloTable1EMAIL: TStringField;
    ApolloTable1DESCR: TStringField;
    ApolloTable1WHOLEPAGE: TBooleanField;
    DBCheckBox1: TDBCheckBox;
    Label16: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure DBNavigatorClick(Sender: TObject; Button: TNavigateBtn);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation
uses blkpick;
{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ApolloTable1.Open;
end;

procedure TForm1.DBNavigatorClick(Sender: TObject; Button: TNavigateBtn);
begin
   if (button = nbDelete) then
   begin
     ApolloTable1.Close;
     ApolloTable1.Exclusive := true;
     ApolloTable1.Open;
     ApolloTable1.Pack;
     ApolloTable1.Close;
     ApolloTable1.Exclusive := false;
     ApolloTable1.Open;
   end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  ApolloTable1.Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form2.ApolloTable1.Open;
end;

end.
